# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorarch: %global perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Perl interface to the UNIX syslog(3) calls
Name:		perl-Unix-Syslog
Version:	1.1
Release:	7.%{__distinit}%{__distvers}
License:	Artistic 2.0
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Unix-Syslog/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MH/MHARNISCH/Unix-Syslog-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides an interface to the system logger syslogd(8) via
Perl's XSUBs. The implementation attempts to resemble the native
libc-functions of your system, so that anyone being familiar with
syslog.h should be able to use this module right away.

%prep
%setup -q -n Unix-Syslog-%{version}
 
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE='%{optflags}'
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* Changes Artistic
%{perl_vendorarch}/Unix/
%{perl_vendorarch}/auto/Unix/
%{_mandir}/man3/Unix::Syslog.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 1.1-7
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> 1.1-6
- Fix dist tag for RHEL-6 Beta

* Fri Mar  5 2010 Paul Howarth <paul@city-fan.org> 1.1-5
- Dist tag for Rawhide no longer needs special-casing

* Fri Oct  2 2009 Paul Howarth <paul@city-fan.org> 1.1-4
- Use %%{?perl_default_filter} for provides filter

* Fri Mar  6 2009 Paul Howarth <paul@city-fan.org> 1.1-3
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Thu Nov 13 2008 Paul Howarth <paul@city-fan.org> 1.1-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon May 19 2008 Paul Howarth <paul@city-fan.org> 1.1-1
- Update to 1.1

* Thu Oct  4 2007 Paul Howarth <paul@city-fan.org> 1.0-1
- Update to 1.0
- License changed to Artistic 2.0

* Tue Mar 20 2007 Paul Howarth <paul@city-fan.org> 0.100-3
- Fix dist tag for development builds and Fedora 7 onwards
- Buildreq ExtUtils::MakeMaker
- Fix argument order for find with -depth

* Thu Aug 31 2006 Paul Howarth <paul@city-fan.org> 0.100-2
- Simplify distribution-detection
- Simplify compiler optimization flag setting
- Don't define macros for rarely-repeated text
- Don't use macros in build-time command paths, hardcode them instead
- Own directories properly
- Use search.cpan.org URLs

* Sun Jun  5 2005 Paul Howarth <paul@city-fan.org> 0.100-1
- Update to 0.100
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Use MODULE_COMPAT dependency style and remove explicit perl dependency

* Wed Feb  9 2005 Paul Howarth <paul@city-fan.org> 0.99-1
- Tidy up spec file
- Update to 0.99

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 0.97-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.97-2
- Unified spec file for Red Hat and Fedora Core

* Tue Feb 03 2004 Paul Howarth <paul@city-fan.org> 0.97-1.fc1
- Initial RPM build.
